import $ from 'jquery';

/**
 * Omogućava zamijenjivanje elemenata onima iz ajax odgovora.
 *
 * @param e
 * @param fragments
 */
export function onUpdateFragments(e, fragments)
{
    if (fragments) {
        $.each(fragments, function(key) {
            $(key)
                .addClass('updating')
                .fadeTo('400', '0.6')
                .block({
                    message: null,
                    overlayCSS: {
                        opacity: 0.6
                    }
                });
        });

        $.each(fragments, function(key, value) {
            $(key).replaceWith(value);
            $(key).stop(true).css('opacity', '1').unblock();
        });

        $(document.body).trigger('wc_fragments_loaded');
    }
}
